summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorwm4 <wm4@nowhere>2012-10-12 10:41:41 +0200
committerwm4 <wm4@nowhere>2012-10-13 10:37:32 +0200
commitb7b804926a5154be424a1cba983ace626abb2198 (patch)
tree339fd60b53ef380cd5b14d7ffadb440d1d60ef21 /scripts
downloadmpv-build-b7b804926a5154be424a1cba983ace626abb2198.tar.bz2
mpv-build-b7b804926a5154be424a1cba983ace626abb2198.tar.xz
Initial commit
This is based on mplayer-git [1], except that it doesn't need Python. Some features, such as specifying custom options, are not available, but these should be considered out of the scope of the basic build wrapper. [1] http://repo.or.cz/w/mplayer-build.git
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ffmpeg-config9
-rwxr-xr-xscripts/libass-config8
-rwxr-xr-xscripts/mpv-config8
3 files changed, 25 insertions, 0 deletions
diff --git a/scripts/ffmpeg-config b/scripts/ffmpeg-config
new file mode 100755
index 0000000..38fc1e9
--- /dev/null
+++ b/scripts/ffmpeg-config
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+OPTIONS="--enable-gpl --enable-nonfree"
+
+BUILD="$(pwd)"
+mkdir -p "$BUILD"/ffmpeg_build
+cd "$BUILD"/ffmpeg_build
+"$BUILD"/ffmpeg/configure --prefix="$BUILD"/build_libs --enable-static --disable-shared $OPTIONS
diff --git a/scripts/libass-config b/scripts/libass-config
new file mode 100755
index 0000000..5644d6a
--- /dev/null
+++ b/scripts/libass-config
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+OPTIONS=""
+
+BUILD="$(pwd)"
+cd "$BUILD"/libass
+./autogen.sh --prefix="$BUILD/build_libs" --enable-static --disable-shared $OPTIONS
diff --git a/scripts/mpv-config b/scripts/mpv-config
new file mode 100755
index 0000000..1b3a976
--- /dev/null
+++ b/scripts/mpv-config
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+OPTIONS=""
+
+BUILD="$(pwd)"
+cd "$BUILD"/mpv
+PKG_CONFIG_PATH="$BUILD"/build_libs/lib/pkgconfig ./configure --extra-cflags=-I"$BUILD"/build_libs/include --extra-ldflags=-L"$BUILD"/build_libs/lib $OPTIONS